> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.awork.com/apiv1/webhooks/get-webhook/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server. # Returns the webhook with the specified id. GET https://api.awork.com/api/v1/webhooks/{webhookId} The user must be an admin or have `workspace-manage-config:read` permissions. Reference: https://developers.awork.com/apiv1/webhooks/get-webhook ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `webhookId` (string, required) ## Response ### 200 OK - `name` (string, required) — The name of this webhook event. - `uri` (string, required) — The URI to call. - `events` (string, required) — The event(s) that trigger the web hook. A comma-separated list of events that trigger the webhook. The allowed events depend on the webhook type. For type 'custom': retrieve the list of allowed events from '/webhooks/eventTypes' For type 'slack': retrieve the list of allowed events from '/webhooks/eventTypes/slack' - `isActive` (boolean, required) — Whether the web hook is currently active. - `authenticationType` (string, required) — The authentication type to use when calling the URI. Can be 'none', 'header'. - `language` (string, optional, nullable) — The language of the web hook message that will be sent to the receiver. Not required for custom web hooks. - `onlyTriggerForMainEntityChanges` (boolean, optional) — Whether to only send events for main entity changes and not for nested entities if the webhook is for a model. - `authentication` (string, optional, nullable) — The authentication value to use when calling the URI. Should be 'key=value'. In case of header authentication, this should be 'headername=headervalue'. Only required when the AuthenticationType is anything other than 'none'. - `id` (string, optional) — The id of the webhook config. - `receiverType` (string, optional, nullable) — The type of the web hook. Can be 'custom', 'slack'. - `lastFailureReason` (string, optional, nullable) — The most recent failure reason. - `createdOn` (string, optional) — The date this webhook config was created. - `createdBy` (string, optional) — The id of the user who created this webhook config. - `updatedOn` (string, optional) — The date this webhook config was last modified. - `updatedBy` (string, optional) — The id of the user who last modified this webhook config. ## Errors ### 404 Not Found Error Not Found - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ## Types ### ValidationErrorResponse The validation error response. - `property` (string, optional, nullable) — The name of the property that failed validation. - `message` (string, optional, nullable) — The reason why this property failed validation. ## Examples **Request** ```json {} ``` **Response** ```json { "name": "Post to Slack", "uri": "https://hooks.slack.com/services/T12345/B67890/AbCdEfGhIjKlMnOpQrStUvWx", "events": "task_comment_added", "isActive": true, "authenticationType": "none", "language": "en-GB", "onlyTriggerForMainEntityChanges": true, "authentication": null, "id": "123e4567-e89b-12d3-a456-426614174000", "receiverType": "slack", "lastFailureReason": null, "createdOn": "2024-01-15T09:30:00Z", "createdBy": "987e6543-e21b-45d3-b789-123456789abc", "updatedOn": "2024-04-10T14:45:00Z", "updatedBy": "987e6543-e21b-45d3-b789-123456789abc" } ``` **SDK Code** ```python import requests url = "https://api.awork.com/api/v1/webhooks/webhookId" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.awork.com/api/v1/webhooks/webhookId'; const options = { method: 'GET', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.awork.com/api/v1/webhooks/webhookId" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.awork.com/api/v1/webhooks/webhookId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.awork.com/api/v1/webhooks/webhookId") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.awork.com/api/v1/webhooks/webhookId', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.awork.com/api/v1/webhooks/webhookId"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/webhooks/webhookId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```